function [z, Vout] = cost_function_2L(angles, m, u, h)

    % Init
    lgt = length(angles);
    temp = zeros(lgt,lgt);
    V = zeros(lgt,1);
    
    % Loop
    for i = 1:lgt
        for j = 1:lgt
            temp(i,j) = u(j) * cos(h(i)*angles(j)); %
        end
        V(i) = -1+2*sum(temp(i,:),2);
        V(i) = V(i)*4/(pi*h(i));
    end
    Vout = V;
    
    % Problem formulation
    V(1) = V(1)-m;
    V = V.^2;
    z = sum(V);
end