% This function is used to compute the harmonics performances of a signal.
% The argument is:
%
%  -> data :    the signal to analyse.
%
% The function return the spectrum, the THD and the WTHD(both in %).

function [spectrum, THD, WTHD] = Performances(data)

% Length of window
WL = length(data);

% Fourier transform
Y = fft(data);
P2 = abs(Y/WL);
P1 = P2(1:WL/2+1);
P1(2:end-1) = 2*P1(2:end-1);

% Normalisation par rapport  la fondamentale
spectrum = P1./P1(2);

% calcul du THD et du WTHD
harmonics = spectrum(2:end);
sum_normal = 0;
sum_ponder = 0;
for i = 2:length(harmonics)
   sum_normal = sum_normal + harmonics(i)^2;
   sum_ponder = sum_ponder + harmonics(i)^2/i;
    
end
THD  = sqrt(sum_normal)/harmonics(1)*100;
WTHD = sqrt(sum_ponder)/harmonics(1)*100;


end