% This function is used to created the timebases, one for the DSP (for
% example sampled @20kHz) and one for the FPGA (sampled @ 30MHz). The
% function takes as arguments:
%
%  -> fg          :    the output fondamental frequency (ie 50 Hz).
%  -> fsw         :    the desired switching frequency.
%  -> NbrePeriods :    How many periods of the fondamental.
%
% The function return the 2 timebases.


function [timeDSP, timeFPGA] = getTimes(fg, fsw, NbrePeriodes)
    
    % FPGA
    f_FPGA = 30e6;
    T_FPGA = 1/f_FPGA;
    
    % Switching
    Ts = 1/fsw;
   
    % Base de temps du DSP
    timeDSP = (0:NbrePeriodes*fsw/fg-1)*Ts;
    
    % Base de temps du FPGA
    timeFPGA = (0:NbrePeriodes*f_FPGA/fg-1)*T_FPGA;
  
end