% This function is used to simulated an inverter of any level. The
% arguments of this functions are:
%
%  -> PWMs :    the 3 sumed PWMs, one for each leg.
%  -> Vdc  :    the total DC voltage.
%
% The function return one phase voltage and one line voltage.

function [Va, Vab] = inverter(PWMs, Vdc)

    % Output voltage of the inverter, referred to Vdc-
    outputA = PWMs(1,:)*Vdc;
    outputB = PWMs(2,:)*Vdc;
    outputC = PWMs(3,:)*Vdc;

    % Compute the voltage of the neutral point
    neutral = (outputA + outputB + outputC)*1/3;

    % Compute phase voltages
    Va = outputA-neutral;
    Vb = outputB-neutral;
   
    % Compute line voltage
    Vab = Va-Vb;
end